type: prog

uuid: 00009103-1b43-0520-2022-111400000004

titre: Les conditions utilisant les expressions régulières - utiliser les digits et les lettres

niveau: Intermédiaire

description: Spécifier des digist et des lettres dans une énumération dans l'expression régulière.

énoncé: |
  Nous allons maintenant valider un code postal.  Ce type de validation vous permettra de travailler avec les énumérations, les digits et les lettres.  Premièrement le format d'un code postal est `<lettre><chiffre><lettre><espace><chiffre><lettre><chiffre>`.  Vous devez donc utiliser la notion d'énumération.  Notez que les lettres sont en majuscules.  Le code postal doit apparaitre au tout début de la chaine de caractères.  Particularité: `-match` fait une recherche en ne tenant pas compte de la casse (les majuscules et les minuscules).  Pour tenir compte de la casse, vous devrez utiliser `-cmatch`.

  À faire:

  1. Construire l'expression régulière pour que la condition `IF` fonctionne comme demandé.  La variable qui contient l'information à analyser est `CodePostal`.
  2. Exécuter le script et corriger les erreurs s'il y a lieu.

  indice: Pour cette série d'exercices sur les expresions régulières, référez-vous au site [RegEx](https://docs.microsoft.com/fr-fr/powershell/module/microsoft.powershell.core/about/about_regular_expressions).  Attention: `-like` et `-match` ne sont pas des opérateurs identiques.  Pour utiliser des expressions régulières, il faut utiliser `-match`.

ébauches:
    powershell: !include exec.powershell

rétroactions:
    positive: Bravo! tu as réussi à créer une condition complexe utilisant les expressions régulières!
    négative: Référez-vous au site [RegEx](https://docs.microsoft.com/fr-fr/powershell/module/microsoft.powershell.core/about/about_regular_expressions).

tests: !include tests.yml

auteur: Gilles Lacasse
licence: 2022 CC-BY-SA
